// Copyright 1995, 1997 by Jon Dart.  All Rights Reserved.
// srclimit.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// SearchLimitPage dialog

class SearchLimitPage : public CPropertyPage
{
//	DECLARE_DYNCREATE(SearchLimitPage)

// Construction
public:
	SearchLimitPage(CPropertySheet *parent);
	~SearchLimitPage();

        BOOL OnInitDialog();
        
        BOOL OnSetActive();

// Dialog Data
	//{{AFX_DATA(SearchLimitPage)
	enum { IDD = SEARCHLIMITS };
	CStatic	m_TimeText;
	CStatic	m_PlyOrMovesText;
	CEdit	m_PlyOrMovesEdit;
	CEdit	m_TimeEdit;
	int		m_SearchType;
	CString	m_PlyOrMoves;
	CString	m_Time;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(SearchLimitPage)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
        void new_type(int);

	// Generated message map functions
	//{{AFX_MSG(SearchLimitPage)
		// NOTE: the ClassWizard will add member functions here
        afx_msg void OnFixedPly();
        afx_msg void OnFixedTime();
        afx_msg void OnGameLimit();
        afx_msg void OnTournament();
        afx_msg void OnIncremental();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:
        CPropertySheet *m_parent;
        CPropertyPage *m_secondary_page;
};
